﻿using Microsoft.Data.SqlClient;
using Npgsql;
using System.Data;
using Yuna.Website.Server.Infrastructure;

namespace Yuna.Website.Server.Storage
{
    public class DapperContext
    {
        private readonly IConfiguration _configuration;

        public DapperContext(IConfiguration configuration)
        {
            _configuration = configuration;
        }

        public DapperContext(bool isTest)
        {
            _configuration = null!;
        }

        private IDbConnection? _dbConnection;
        public  IDbConnection Connection
        {
            get
            {

                if (_dbConnection is null) _dbConnection = new NpgsqlConnection(Settings.DbConnectionStr);
                return _dbConnection;

            }
        }
    }
}
