﻿using Yuna.Website.Server.Model;

namespace Yuna.Website.Server.Storage.Repositories.Device
{
    public interface IDeviceRepository
    {
        public Task<Model.Device> GetById(long id);
        public Task<IReadOnlyList<Model.Device>> GetList();
        public Task<Model.Device?> Create(Model.Device device);
        //public Task<User?> Update(User user);
        public Task<Model.Device?> Delete(long id);
        public Task AddProps(IReadOnlyList<Model.Prop> skills, long deviceId);
    }
}
